SecurityVillagers logo

SecurityVillagers 2.10.2

168.000+ downloads

SecurityVillagers is a plugin for Minecraft servers that allows the protection of villagers or any mob like iron golem, illagers, etc... You can choose which players/groups can attack/interact with mobs.

Features

  • 100% configurable
  • Supports from 1.8.8 to 1.14 MC version
  • Choose how to protect mobs
    • Globally
    • Individually
    • Factions claim
  • Mobs supported
    • Villagers
    • Iron golems
    • Wandering trader and trader llama
    • Illagers
  • Choose who and how protect from all types of damage
  • Prevent interaction/trades/eggs
  • Change age of mobs
  • Change profession of villagers
  • Change name of mobs
  • External plugins supported
    • Factions and SavageFactions: Protect mobs inside claims
    • ProtocolLib: Mute annoying villager sounds

External Features

  • JSON messages supported
  • Async calls (database, commands and more)
  • Statistics system (bStats)

How to install SecurityVillagers

SecurityVillagers can be installed on Bukkit and Spigot. Just stop the server and put the jar inside the plugins folder.
You can find the full guide on the doc.